jQuery(function($){
	// 轮播
	if($('.banner-swiper').length){
		var bannerSwiper = new Swiper('.banner-swiper', {
			loop:true,//开启循环播放
			autoplay: {//开启自动播放
				delay:3000,
				disableOnInteraction: false,//触摸后不会停止自动滚动
				pauseOnMouseEnter: true,//鼠标置于swiper时暂停自动切换，鼠标离开时恢复自动切换。
			}
		})
	}
	
	// 抽奖
	var turntableFlag = true;
	if($('.pointer').length){
		// 开始抽奖
		$('.pointer').click(function(){
			if(turntableFlag){
				turntableFlag = false;
				var ran = Math.ceil(Math.random()*100);     //外层100以内的随机整数
				if(ran<=55){  //通过概率判断选取数字
					var needNum= 360*4-120;    //选取需求数字
				}else if(55<ran<=75){
					var needNum= 360*4-60;   //选取需求数字
				}else if(75<ran<=85){
					var needNum= 360*4-180;   //选取需求数字
				}else if(85<ran<=93){
					var needNum= 360*4-240;   //选取需求数字
				}else if(93<ran<=98){
					var needNum= 360*4-300;   //选取需求数字
				}else if(98<ran<=100){
					var needNum= 360*4   //选取需求数字
				}
				$('.turntable').css({transform: 'rotate('+needNum+'deg)'});
			}
			setTimeout(function(){
				$('.pull-bg').addClass('show');
				$('.result-tips').addClass('show');
			},3000)
		});
		// 关闭弹窗
		$('.tips-btn').click(function(){
			// 刷新当前页面
			location.reload(true);
		});
	}
	
	// 立即导航
	if($('.navigation-btn').length){
		// 打开弹窗
		$('.navigation-btn').click(function(){
			// 高德地图
			window.open('http://uri.amap.com/marker?position=104.098515,30.763954&name=万圣家园B区&coordinate=gaode&callnative=1')
		});
	}
	
	// 使用卡券
	if($('.card-btn').length){
		// 打开弹窗
		$('.card-btn').click(function(){
			$('.pull-bg').addClass('show');
			$('.card-window').addClass('show');
		});
		// 关闭弹窗
		$('.pull-bg').click(function(){
			$(this).removeClass('show');
			$('.card-window').removeClass('show');
		});
	}
})